#1185 Filter sometimes shows old results

2.0.3
closed-works-for-me
nobody
None
5
2014-06-19
2013-05-23
Bryan
No

When repeatedly pressing the 'Filter' button (after code changes have been made and compiled) every so often old bugs will be shown. It behaves in a random fashion sometimes showing current results while other times showing old results.

Related

Bugs: #1185

Discussion

  • William Pugh

    William Pugh - 2013-06-17

    Is this in the FindBugs GUI (as opposed to in Eclipse)?

     
  • Bryan

    Bryan - 2013-06-17

    Yes, while using the FindBugs GUI.

    On Mon, Jun 17, 2013 at 2:35 PM, William Pugh wpugh@users.sf.net wrote:

    Is this in the FindBugs GUI (as opposed to in Eclipse)?

    Status: open
    Created: Thu May 23, 2013 12:28 PM UTC by Bryan
    Last Updated: Thu May 23, 2013 12:28 PM UTC
    Owner: nobody

    When repeatedly pressing the 'Filter' button (after code changes have been
    made and compiled) every so often old bugs will be shown. It behaves in a
    random fashion sometimes showing current results while other times showing
    old results.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/findbugs/bugs/1185/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1185

  • William Pugh

    William Pugh - 2013-10-21
    • status: open --> pending-works-for-me
     
  • William Pugh

    William Pugh - 2013-10-21

    I've not been able to reproduce this.

    Are you seeing results from a previous analysis, or results from a previous filter string?

    How fast are you trying to click on the Filter button? Are you doing it so fast you might be creating a race condition?

     
  • Andrey Loskutov

    Andrey Loskutov - 2014-06-19
    • status: pending-works-for-me --> closed-works-for-me
     

Log in to post a comment.